//###########################################################################
//#
//# Diplomarbeit von Michel Jaggi / Abalone Spiel
//#
//# Datum: 22.06.2002
//#
//# Klasse Player beinhaltet die Spielerdaten
//#
//###########################################################################
#ifndef ABAOPTION_H
#define ABAOPTION_H


class abaoption
{
   private:
           bool AbaTimer;
           int  AbaModus;
           int  AbaMaxPoints;
           int  AbaMaxTime;
           int  AbaPort;

   public:
           void setTimer(bool OpTimer){AbaTimer = OpTimer;};
           bool getTimer(){return (AbaTimer);};
           void setMaxPoints(int OpMaxPoints){AbaMaxPoints = OpMaxPoints;};
           int getMaxPoints(){return (AbaMaxPoints);};
           void setMaxTime(int OpMaxTime){AbaMaxTime = OpMaxTime;};
           int getMaxTime(){return (AbaMaxTime);};
           void setPort(int OpPort){AbaPort = OpPort;};
           int getPort(){return (AbaPort);};
};
#endif
 